Subject: Re: Yes! A _new_ inetd problem!
From: [email-masked] (Fergus Henderson)

3 Jun 1998 13:20:06 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: "Todd P. Whitesel" <[email-masked]>
Cc: Cygnus GNU-win32 mailing list <[email-masked]>

On 02-Jun-1998, Todd P. Whitesel <[email-masked]> wrote:
> ftpd works, but if I change my /etc/passwd login shell, e.g. to /bin/bash
> -- it blew me off with "530 User toddpw access denied." until I changed it
> back to /bin/sh.

Do you have an /etc/shells (or maybe /usr/local/etc/shells) file?
This should contain a list of valid shells, one per line, e.g.

	/bin/sh
	/bin/bash

> Actually, could somebody just explain what exactly the text!=binary setting
> affects? Does it simply cover the behavior of fopen() without "b" or is it
> something more convoluted, like altering the behavior of read() and write().

It alters the behaviour of fopen() without "b" and also open() without
_O_BINARY, which then affects read() and write().

-- 
Fergus Henderson <[email-masked]>  |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>  |  of excellence is a lethal habit"
PGP: finger [email-masked]        |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".